from rolepermissions.roles import AbstractUserRole
from strenum import StrEnum


class Roles(StrEnum):
    CREATE_USER = 'users.create_user',
    EDIT_USER = 'users.edit_user',
    CREATE_PROVIDER = 'users.create_provider',
    CHANGE_PROVIDER = 'users.change_provider',
    MANAGE_PROVIDER_KEYS = 'users.manage_provider_keys',
    MANAGE_ANALYTICS_TOKENS = 'users.manage_analytics_tokens',
    CREATE_USER_CONSENT = 'users.create_user_consent',
    REQUEST_USER_DATA = 'users.request_user_data',


class PolarisAdministrator(AbstractUserRole):
    available_permissions = {
        Roles.CREATE_PROVIDER: True,
        Roles.CHANGE_PROVIDER: True,
        Roles.CREATE_USER: True,
        Roles.MANAGE_PROVIDER_KEYS: True,
        Roles.MANAGE_ANALYTICS_TOKENS: True,
        Roles.REQUEST_USER_DATA: True,
    }

class ProviderManager(AbstractUserRole):
    available_permissions = {
        Roles.MANAGE_PROVIDER_KEYS: True,
        Roles.CREATE_PROVIDER: True,
    }

class Analyst(AbstractUserRole):
    available_permissions = {
        Roles.MANAGE_ANALYTICS_TOKENS: True,
    }

class User(AbstractUserRole):
    available_permissions = {
        Roles.CREATE_USER_CONSENT: True,
    }
