#!/bin/sh

# Set default number of workers to 4 if not provided via environment
: "${WORKERS:=4}"

echo "Running database migrations and role setup..."
python manage.py check_and_apply_migrations

echo "Running mongodb check..."
python manage.py create_mongo_index

echo "Starting Gunicorn server with $WORKERS workers..."
exec env "$@" gunicorn \
  --bind :80 \
  --workers "$WORKERS" \
  --timeout 300 \
  --graceful-timeout 300 \
  --max-requests 1000 \
  --max-requests-jitter 50 \
  --access-logfile - \
  --error-logfile - \
  backend.wsgi
